/*
 *
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.regressionHHH275.unit;

//import java.rmi.*;


import junit.framework.Test;
import org.jboss.ejb3.test.regressionHHH275.SearchDAORemote;
import org.jboss.test.JBossTestCase;

/**
 * Test reentrant remote call.  There was a bug that remoting didn't route locally
 * and the tx propagation was happening when it shouldn't
 *
 * @author <a href="mailto:bill@burkecentral.com">Bill Burke</a>
 * @version $Id: HHH275UnitTestCase.java,v 1.1.2.4 2005/09/14 22:19:14 bill Exp $
 */

public class HHH275UnitTestCase
extends JBossTestCase
{
   org.apache.log4j.Category log = getLog();

   static boolean deployed = false;
   static int test = 0;

   public HHH275UnitTestCase(String name)
   {

      super(name);

   }

   public void testOneToOne() throws Exception
   {
      SearchDAORemote remote = (SearchDAORemote) getInitialContext().lookup(SearchDAORemote.class.getName());
      remote.create();
      assertEquals(0, remote.find());
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(HHH275UnitTestCase.class, "regressionHHH275-test.ejb3");
   }

}
